Package org.apache.sling.api.resource.observation

# Interface ResourceChangeList

All Superinterfaces:
  `Collection<ResourceChange>`, `Iterable<ResourceChange>`, `List<ResourceChange>`

@ProviderType public interface ResourceChangeList extends List<ResourceChange>
An instance of `ResourceChangeList` is passed to `ResourceChangeListener.onChange(List)` to pass in additional information like the search path.

Since:
  1.2.0 (Sling API Bundle 2.15.0)

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getSearchPath()`
Returns the search path used by the resource resolving.

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

## Method Details

### getSearchPath

String[] getSearchPath()
Returns the search path used by the resource resolving.

Each entry in the array is an absolute path terminated with a slash character. Thus to create an absolute path from a search path entry and a relative path, the search path entry and relative path may just be concatenated.

Returns:
  The array of search paths
See Also:
  - `ResourceResolver.getSearchPath()`